Loading...
Searching...
No Matches
Quad Class Reference

The Quad class is a convenience class for creating a quadrilateral mesh. More...

`#include <quad.h>`

Inheritance diagram for Quad:

## Public Member Functions

void | setQuad (const Vector3f &topLeft, const Vector3f &topRight, const Vector3f &bottomLeft, const Vector3f &bottomRight)
| setQuad Set the four corners of the quad.
Public Member Functions inherited from MeshGeometry
| MeshGeometry (const MeshGeometry &other)
MeshGeometry & | operator= (MeshGeometry)
void | accept (Visitor &) override
void | render (const Camera &camera) override
| Render the mesh geometry.
void | clear () override
size_t | vertexCount () const
size_t | indexCount () const
size_t | triangleCount () const
Core::Array< PackedVertex > | vertices ()
Core::Array< unsigned int > | triangles ()
unsigned int | addVertices (const Core::Array< Vector3f > &vertices, const Core::Array< Vector3f > &normals, const Core::Array< Vector4ub > &colors)
unsigned int | addVertices (const Core::Array< Vector3f > &vertices, const Core::Array< Vector3f > &normals, const Core::Array< Vector3ub > &colors)
unsigned int | addVertices (const Core::Array< Vector3f > &vertices, const Core::Array< Vector3f > &normals)
void | addTriangle (size_t index1, size_t index2, size_t index3)
void | addTriangles (const Core::Array< unsigned int > &indices)
void | setColor (const Vector3ub &c)
Vector3ub | color () const
void | setOpacity (unsigned char opacity_)
unsigned char | opacity () const
Public Member Functions inherited from Drawable
| Drawable (const Drawable &other)
Drawable & | operator= (Drawable)
const GeometryNode * | parent () const
| Get a pointer to the drawable object's parent.
GeometryNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the drawable object.
bool | isVisible () const
| Get the current visibility of the drawable.
Identifier & | identifier ()
const Identifier & | identifier () const
virtual std::multimap< float, Identifier > | hits (const Vector3f &rayOrigin, const Vector3f &rayEnd, const Vector3f &rayDirection) const
virtual Core::Array< Identifier > | areaHits (const Frustrum &f) const
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const

## Additional Inherited Members

Static Public Attributes inherited from MeshGeometry
static const unsigned int | InvalidIndex
Protected Member Functions inherited from Drawable
void | setParent (GeometryNode *parent)
| Set the parent node for the node.
Protected Attributes inherited from Drawable
GeometryNode * | m_parent
bool | m_visible
RenderPass | m_renderPass
Identifier | m_identifier

## Detailed Description

<avogadro/rendering/quad.h>

The documentation for this class was generated from the following file:

- quad.h